%global commit 30fa0d30ba5b0b77a529f89a940ef130e21e0340
%global shortcommit %(c=%{commit}; echo ${c:0:7})

############ General Information ############
Name: python-deltasigma
Version: 0.2
Release: 16%{?dist}
Summary: The python2-deltasigma is a package that simulate Delta Sigma modulators
License: BSD
URL: http://www.python-deltasigma.io/
Source0: http://github.com/ggventurini/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

############ Dependencies ############
BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools

%global _description\
Deltasigma synthesize, simulate, scale and map.\
It can be use to implementable topologies Delta Sigma modulators.

%description %_description

%package -n python3-deltasigma

Summary: %{summary}
Requires: python3-numpy
Requires: python3-matplotlib
Requires: python3-scipy
Requires: python3-Cython
%{?python_provide:%python_provide python3-deltasigma}

%description -n python3-deltasigma %_description



############ Prep ############
%prep
%setup -q -n %{name}-%{commit}
find -name '*.py'  | xargs sed -i -e '/^#!\//, 1d'
rm -rf deltasigma.egg-info

# This folder is unnecessary
rm -rf delsig


find -name '*.py'  | xargs sed -i -e '/^#!\//, 1d'
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'



############ Build ############
%build


%py3_build



############ Install ############
%install


%py3_install


############ Files ############
%files -n python3-deltasigma
%doc README.md ROADMAP.md  CHANGES.rst
%license LICENSE
%{python3_sitelib}/deltasigma
%{python3_sitelib}/deltasigma-*.egg-info


############ Changelog ############
%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 17 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-15
- Subpackage python2-deltasigma has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2-13
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Tue Aug  8 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-10
- Python 2 binary package renamed to python2-deltasigma
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2-7
- Rebuild for Python 3.6

* Mon Sep 26 2016 Dominik Mierzejewski <rpm@greysector.net> - 0.2-6
- rebuilt for matplotlib-2.0.0

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Oct 3 2015 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.2-2
- Bump to latest version.
- Fix typo in documentation.

* Sun Jul 19 2015 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.2-1
- Bump to latest version.
- Fix calculation of STFs from their ABCD matrix.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.1-5
- Update package about bugfix and additional options in changeFig().

* Tue Nov 4 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.1-4
- Package support for python3.
- URL of the project changed.

* Mon Nov 3 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.1-3
- Delete delsig folder in prep section

* Mon Nov 3 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.1-2
- Fix date error typo.
- Fix build requires python2-devel.
- Delete delsig folder.

* Mon Nov 3 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.1-1
- Initial package.
